function timeoutPromise (ms = 600000) {
  let timeout
  const promise = new Promise((resolve, reject) => {
    timeout = setTimeout(() => {
      resolve(`Timeout of ${ms}ms has been reached.`)
    }, ms)
  })
  return {
    promise,
    cancel () {
      clearTimeout(timeout)
    }
  }
}

module.exports = {
  timeoutPromise
}
